package com.ruoyi.web.work.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.Notice;

import java.util.List;

/**
 * @author 高伟森
 * @date 2024-04-18
 */
public interface INoticeService extends IService<Notice> {
    List<Notice> selectList(Notice notice);

    List<Notice> homeList(String type);

    AjaxResult add(Notice notice);

    AjaxResult detail(Long id);
}
